POST api/medistreamprogramstepapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamProgramStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

program_id

globally unique identifier

Required

code

integer

Required

Range: inclusive between 0 and ∞

name

string

Required

medistream_program_step_type_id

globally unique identifier

Required

active

boolean

Required

Request Formats

application/json, text/json

Sample:
{
  "id": "5c035dca-433a-4c26-9b7f-81e6a0ab8492",
  "program_id": "327a2d04-05b3-4bfa-9372-26f33701d56d",
  "code": 3,
  "name": "sample string 4",
  "medistream_program_step_type_id": "7a6c2267-dbd5-4ec6-b3e2-5feb41495530",
  "active": true
}

application/xml, text/xml

Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>3</code>
  <id>5c035dca-433a-4c26-9b7f-81e6a0ab8492</id>
  <medistream_program_step_type_id>7a6c2267-dbd5-4ec6-b3e2-5feb41495530</medistream_program_step_type_id>
  <name>sample string 4</name>
  <program_id>327a2d04-05b3-4bfa-9372-26f33701d56d</program_id>
</medistream_program_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"506c233d-2dd0-412a-b8be-df13988c137c"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">506c233d-2dd0-412a-b8be-df13988c137c</guid>